### Method

# GWeather Location get_english_sort_name

#### Declaration [src]

    const char*
    gweather_location_get_english_sort_name (
      GWeatherLocation* loc
    )

#### Description [src]

Gets the location’s name, in a representation useful for comparisons.

The “sort name” is the location’s name after having `g_utf8_normalize()` (with `G_NORMALIZE_ALL`) and `g_utf8_casefold()` called on it. You can use this to sort locations, or to comparing user input against a location name.

#### Return value

Type: `const char*`

The sort name of the location.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.